summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtests/ob_arch_is_concerned.sh2
-rwxr-xr-xtests/ob_parse_changelog.sh2
-rwxr-xr-xtests/ob_parse_control.sh2
-rwxr-xr-xtests/ob_parse_dep.sh2
-rwxr-xr-xtests/ob_plat_is_concerned.sh2
-rwxr-xr-xtests/ob_reduce_deps.sh2
6 files changed, 6 insertions, 6 deletions
diff --git a/tests/ob_arch_is_concerned.sh b/tests/ob_arch_is_concerned.sh
index c1da4fd..4f2ebdf 100755
--- a/tests/ob_arch_is_concerned.sh
+++ b/tests/ob_arch_is_concerned.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_changelog.sh b/tests/ob_parse_changelog.sh
index 7e7be02..15be4e1 100755
--- a/tests/ob_parse_changelog.sh
+++ b/tests/ob_parse_changelog.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_control.sh b/tests/ob_parse_control.sh
index faa0c16..921d99e 100755
--- a/tests/ob_parse_control.sh
+++ b/tests/ob_parse_control.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_dep.sh b/tests/ob_parse_dep.sh
index 1e12105..37dabd3 100755
--- a/tests/ob_parse_dep.sh
+++ b/tests/ob_parse_dep.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_plat_is_concerned.sh b/tests/ob_plat_is_concerned.sh
index 1d64d95..4ba5787 100755
--- a/tests/ob_plat_is_concerned.sh
+++ b/tests/ob_plat_is_concerned.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_reduce_deps.sh b/tests/ob_reduce_deps.sh
index 7030f07..b1e8609 100755
--- a/tests/ob_reduce_deps.sh
+++ b/tests/ob_reduce_deps.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
-set -e
+set -eu
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"